
Foreman - Bug #7054

/v2/api doesn't list all resources actions

08/12/2014 09:31 PM - dustin tsang

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: API   

Target version: 1.6.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1105773 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1688

  

Description

Failed. When I reviewed Comment 8, I dont see the following yet:

foreman tasks - https://$host/apidoc/v2/foreman_tasks

Home - https://$host/apidoc/v2/home

Host collection packages - https://$host/apidoc/v2/host_collection_packages

System errata - https://$host/apidoc/v2/system_errata

Tasks - https://$host/apidoc/v2/tasks

Associated revisions

Revision 37321c12 - 09/03/2014 10:22 AM - dustin tsang

fixes #7054 - list all routes for each resource in /v2/api

Revision 819d369f - 10/07/2014 08:43 AM - dustin tsang

fixes #7054 - list all routes for each resource in /v2/api

(cherry picked from commit 37321c12ed65da9de7707454dde0c48dde57da51)

History

#1 - 08/12/2014 09:32 PM - dustin tsang

- Project changed from Katello to Foreman

- Category deleted (API)

Failed. When I reviewed Comment 8, I dont see the following yet:

foreman tasks - https://$host/apidoc/v2/foreman_tasks

Home - https://$host/apidoc/v2/home

Host collection packages - https://$host/apidoc/v2/host_collection_packages

System errata - https://$host/apidoc/v2/system_errata

Tasks - https://$host/apidoc/v2/tasks

#2 - 08/12/2014 09:33 PM - dustin tsang

some resources do not have an index action

#3 - 08/13/2014 03:15 AM - Dominic Cleal

- Category set to API

#4 - 08/13/2014 12:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1688 added

- Pull request deleted ()
#5 - 08/13/2014 12:35 PM - dustin tsang

- Bugzilla link set to 1105773

#6 - 08/20/2014 06:51 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#7 - 09/03/2014 10:23 AM - Dominic Cleal

- translation missing: en.field_release set to 22

#8 - 09/03/2014 11:01 AM - dustin tsang

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 37321c12ed65da9de7707454dde0c48dde57da51.
